件名: CustomMenuプラグインにおけるIE6のサポートについて

投稿日: 2012/07/07 12:29
投稿者: dengen

こんにちは、dengenです。 CustomMenuプラグインのGeeklog2.0.0対応の作業をやっているのですが、IE6の対応が非常に厄介です。 これまでは、IE6でも階層メニューを実現するために、UAがIE6のときだけテーブルタグを挿入する仕組みになっているのですが、そのためにハッキング同様の処理をしています。 今後は、IE6のサポートをやめてしまいたいと思うのですが、CustomMenuプラグインの場合、Geeklog拡張版に同梱されているので独断での変更も躊躇されるところです。 IE6の日本でのシェアも1%を切っているようだし、WindowsXPでもIE8が主流なので、IE6のサポートを打ち切っても影響は無視できるレベルだと思うのですが、どう思いますか? http://gs.statcounter.com/#browser_version_partially_combined-JP-monthly-201106-201206 Geeklog Japanese開発メンバーのご了解がいただければ、CustomMenuプラグインからIE6対応のコードを削除しようと思います。 なお、NavmanプラグインはもうIE6のサポートをやめようと思っています。

書込: CustomMenuプラグインにおけるIE6のサポートについて

投稿日: 2012/07/07 14:04
投稿者: みるく

こんにちは、いつもお世話になってます。みるくです。
CustomMenuプラグインのGeeklog2.0.0対応の作業をやっているのですが、IE6の対応が非常に厄介です。 これまでは、IE6でも階層メニューを実現するために、UAがIE6のときだけテーブルタグを挿入する仕組みになっているのですが、そのためにハッキング同様の処理をしています。
IE6対応の為に作業が増えるという事がなければ、対応して欲しいとも思うのですが、もうIE6だけの為にそこまで対応しなくても良いと思います。 どこかで古いバージョンの対応は切っていかないといけないと思いますし、もうIE9まで出ているのでCustomMenuプラグインのIE6対応はやめても良いと思います。

書込: CustomMenuプラグインにおけるIE6のサポートについて

投稿日: 2012/07/07 18:28
投稿者: Tsuchi

IE6のサポートは、もうやめてもよいと思います。 理由 1.Google,YouTube もすでにサポートを終了している。 2.Microsoftも、IE 6終了を促進しようとしている。 3.IE 6終了促進のために、やめたほうがよい。

書込: CustomMenuプラグインにおけるIE6のサポートについて

投稿日: 2012/07/07 22:41
投稿者: Ivy

わたしも、もうIE6をサポート外にしてよい時期だと思います。 他のCMSもすでにIE7までサポート対象からはずしていっています。 IE6ハックのために、表示が遅くなったりするほうがユーザのためにならないと思います。 IE7も対象外で良いと思います。 IE7に対応できるユーザは、IE8に切り替えるのに障害はないはずだと思っているからです。 IE6のユーザーは、もう時代遅れのブラウザなので、表示がくずれるのはしかたがありません。

書込: CustomMenuプラグインにおけるIE6のサポートについて

投稿日: 2012/07/08 06:36
投稿者: mystral-kk

IE6をサポートから外すことについては諸兄姉が挙げているのと同じ理由で賛成です。「IE6をサポートしています」というフレーズがいまどき、CMSを選択する強力な理由になるとは思えません。現行バージョンをIE6をサポートする最終バージョンとして、新バージョンからIE9(IE8)以降必須という方針で問題はないと思います。


書込: CustomMenuプラグインにおけるIE6のサポートについて

投稿日: 2012/07/09 20:49
投稿者: dengen

コメントを下さった皆様、ありがとうございます。 皆さんの全てのご意見に賛成します。 IE6対応はやめます。 IE7も最近大きくシェアを落とし、1%を切るのも時間の問題ですね。 従ってIE7対応もやめます。 IE8以降ならCSS2.1のセレクタも普通に使えます。 http://www.quirksmode.org/css/contents.html

Geeklog Japan - 掲示板
https://www.geeklog.jp/forum/viewtopic.php?showtopic=17645